Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page pl2nvp_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       pl2nvp_c ( Plane to normal vector and point )

       void pl2nvp_c ( ConstSpicePlane   * plane,
                       SpiceDouble         normal[3],
                       SpiceDouble         point [3]  )
#### Abstract
       Return a unit normal vector and point that define a specified
       plane.
#### Required_Reading
       PLANES
#### Keywords
       GEOMETRY
       MATH
       PLANE
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       plane      I   A SPICE plane.
       normal,
       point      O   A unit normal vector and point that define `plane'.
#### Detailed_Input
       plane       is a SPICE plane.
#### Detailed_Output
       normal,
       point       are, respectively, a unit normal vector and point
                   that define the geometric plane represented by
                   `plane'. Let the symbol < a, b > indicate the inner
                   product of vectors `a' and `b'; then the geometric
                   plane is the set of vectors `x' in three-dimensional
                   space that satisfy

                      < x - point, normal >  =  0.

                   `point' is always the closest point in the input
                   plane to the origin. `point' is always a
                   non-negative scalar multiple of `normal'.
#### Parameters
       None.
#### Exceptions
       Error free.

       1)  The input plane MUST have been created by one of the CSPICE
           routines

              nvc2pl_c ( Normal vector and constant to plane )
              nvp2pl_c ( Normal vector and point to plane    )
              psv2pl_c ( Point and spanning vectors to plane )

           Otherwise, the results of this routine are unpredictable.
#### Files
       None.
#### Particulars
       CSPICE geometry routines that deal with planes use the `plane'
       data type to represent input and output planes. This data type
       makes the routine interfaces simpler and more uniform.

       The CSPICE routines that produce SPICE planes from data that
       define a plane are:

          nvc2pl_c ( Normal vector and constant to plane )
          nvp2pl_c ( Normal vector and point to plane    )
          psv2pl_c ( Point and spanning vectors to plane )

       The CSPICE routines that convert SPICE planes to data that
       define a plane are:

          pl2nvc_c ( Plane to normal vector and constant )
          pl2nvp_c ( Plane to normal vector and point    )
          pl2psv_c ( Plane to point and spanning vectors )
#### Examples
       1)  Given a plane normal and constant, find a point in
           the plane. `point' is the point we seek.

              nvc2pl_c (  normal, const, &plane  );
              pl2nvp_c ( &plane, normal,  point  );
#### Restrictions
       None.
#### Literature_References
       [1]  G. Thomas and R. Finney, "Calculus and Analytic Geometry,"
            7th Edition, Addison Wesley, 1988.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
#### Version
       -CSPICE Version 1.0.1, 24-AUG-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.0, 05-MAR-1999 (NJB)
#### Index_Entries
       plane to normal vector and point
#### Link to routine pl2nvp_c source file pl2nvp_c.c

    Fri Dec 31 18:41:10 2021